Subject: Re: [PATCH net-next] netlink: make getters tolerate NULL nla arg

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 16 Jan 2020 16:19:29 +0100

Florian Westphal <[email-masked]> writes:

> One recurring bug pattern triggered by syzbot is NULL dereference in
> netlink code paths due to a missing "tb[NL_ARG_FOO] != NULL" test.
>
> At least some of these missing checks would not have crashed the kernel if
> the various nla_get_XXX helpers would return 0 in case of missing arg.

Won't this risk just papering over the issue and lead to subtly wrong
behaviour instead? At least a crash is somewhat visible :)

-Toke